//
//  Annotation.m
//  Partiture
//
//  Created by Kaarel Kruus on 16/02/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import "Annotation.h"
#import "PRTAppDelegate.h"

@implementation Annotation

@dynamic guid;
@dynamic data;
@dynamic page;
@dynamic layerGuid;

- (id)initWithCoder:(NSCoder *)aDecoder {
    NSEntityDescription *entity = [NSEntityDescription entityForName:@"Annotation"
                                              inManagedObjectContext:[APPDELEGATE managedObjectContext]];
    Annotation *unassociatedObject = (Annotation *)[[NSManagedObject alloc] initWithEntity:entity
                                                  insertIntoManagedObjectContext:nil];
    unassociatedObject.guid = [aDecoder decodeObjectForKey:@"guid"];
    unassociatedObject.data = [aDecoder decodeObjectForKey:@"data"];
    unassociatedObject.page = [aDecoder decodeObjectForKey:@"page"];
    unassociatedObject.layerGuid = [aDecoder decodeObjectForKey:@"layerGuid"];
    
    return unassociatedObject;
}

- (void)encodeWithCoder:(NSCoder *)aCoder {
    [aCoder encodeObject:self.guid forKey:@"guid"];
    [aCoder encodeObject:self.data forKey:@"data"];
    [aCoder encodeObject:self.page forKey:@"page"];
    [aCoder encodeObject:self.layerGuid forKey:@"layerGuid"];
}

@end
