//
//  Arranger.h
//  Partiture
//
//  Created by Kaarel Kruus on 16/02/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class Score;

@interface Arranger : NSManagedObject

@property (nonatomic, retain) NSString * name;
@property (nonatomic, retain) NSSet *arrangerOf;
@end

@interface Arranger (CoreDataGeneratedAccessors)

- (void)addArrangerOfObject:(Score *)value;
- (void)removeArrangerOfObject:(Score *)value;
- (void)addArrangerOf:(NSSet *)values;
- (void)removeArrangerOf:(NSSet *)values;

@end
