//
//  Bundle.h
//  Partiture
//
//  Created by Kaarel Kruus on 03/05/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class Room, Score, User;

@interface Bundle : NSManagedObject

@property (nonatomic, retain) NSSet *rooms;
@property (nonatomic, retain) Score *score;
@property (nonatomic, retain) User *user;
@end

@interface Bundle (CoreDataGeneratedAccessors)

- (void)addRoomsObject:(Room *)value;
- (void)removeRoomsObject:(Room *)value;
- (void)addRooms:(NSSet *)values;
- (void)removeRooms:(NSSet *)values;

@end
