//
//  Composer.h
//  Partiture
//
//  Created by Kaarel Kruus on 03/05/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class Score;

@interface Composer : NSManagedObject

@property (nonatomic, retain) NSString * name;
@property (nonatomic, retain) NSSet *composerOf;
@end

@interface Composer (CoreDataGeneratedAccessors)

- (void)addComposerOfObject:(Score *)value;
- (void)removeComposerOfObject:(Score *)value;
- (void)addComposerOf:(NSSet *)values;
- (void)removeComposerOf:(NSSet *)values;

@end
