//
//  Layer.h
//  Partiture
//
//  Created by Kaarel Kruus on 03/05/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class Remark, Session;

@interface Layer : NSManagedObject

@property (nonatomic, assign) BOOL isPublic;
@property (nonatomic, retain) NSString * name;
@property (nonatomic, retain) NSString * uuid;
@property (nonatomic, retain) NSSet *remarks;
@property (nonatomic, retain) Session *session;
@end

@interface Layer (CoreDataGeneratedAccessors)

- (void)addRemarksObject:(Remark *)value;
- (void)removeRemarksObject:(Remark *)value;
- (void)addRemarks:(NSSet *)values;
- (void)removeRemarks:(NSSet *)values;

@end
