//
//  Member.h
//  Partiture
//
//  Created by Kaarel Kruus on 06/05/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class Membership, Participation;

@interface Member : NSManagedObject

@property (nonatomic, retain) NSString * name;
@property (nonatomic, retain) NSString * token;
@property (nonatomic, retain) NSSet *rooms;
@property (nonatomic, retain) NSSet *participations;
@end

@interface Member (CoreDataGeneratedAccessors)

- (void)addRoomsObject:(Membership *)value;
- (void)removeRoomsObject:(Membership *)value;
- (void)addRooms:(NSSet *)values;
- (void)removeRooms:(NSSet *)values;

- (void)addParticipationsObject:(Participation *)value;
- (void)removeParticipationsObject:(Participation *)value;
- (void)addParticipations:(NSSet *)values;
- (void)removeParticipations:(NSSet *)values;

@end
