//
//  PRTDrawingView.h
//  Partiture
//
//  Created by Kaarel Kruus on 11/02/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface PRTDrawingView : UIView <UITextFieldDelegate>

@property (nonatomic, copy) PRTDrawBlock drawBlock;
@property (nonatomic, copy) PRTDrawViewBlock drawViewBlock;
@property (nonatomic, copy) PRTDrawTextFieldBlock drawTextFieldBlock;
@property (nonatomic, copy) PRTMoveBlock moveBlock;

- (UIView *)viewForPoint:(CGPoint)point;
- (UIView *)viewForGuid:(NSString *)guid;

@end
