//
//  PRTWorkspaceRemarkPopOver.h
//  Partiture
//
//  Created by Kaarel Kruus on 11/05/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import <UIKit/UIKit.h>

typedef void (^PRTWorkspaceRemarkPopOverBlock)(void);

@interface PRTWorkspaceRemarkPopOver : UIViewController

- (id)initWithCreatedDate:(NSDate *)createdDate createdBy:(NSString *)createdBy canMove:(BOOL)canMove canDelete:(BOOL)canDelete;

- (void)setMoveBlock:(PRTWorkspaceRemarkPopOverBlock)moveBlock;
- (void)setDeleteBlock:(PRTWorkspaceRemarkPopOverBlock)deleteBlock;

@end
