//
//  Participation+Additions.m
//  Partiture
//
//  Created by Kaarel Kruus on 04/05/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import "Participation+Additions.h"
#import "PRTAppDelegate.h"

@implementation Participation (Additions)

+ (Participation *)participationForMember:(Member *)member inSession:(Session *)session {
    
    Participation *newParticipation = [NSEntityDescription insertNewObjectForEntityForName:NSStringFromClass(self.class)
                                                                    inManagedObjectContext:[APPDELEGATE managedObjectContext]];
    newParticipation.startDate = [NSDate date];
    newParticipation.member = member;
    newParticipation.session = session;
    [APPDELEGATE saveContext];
    
    PRT_DB_CREATE_INSTANCE_LOG(NSStringFromClass(self.class), nil);
    
    return newParticipation;
}

- (BOOL)isActive {
    return (self.startDate && !self.endDate);
}

@end
