//
//  Participation.h
//  Partiture
//
//  Created by Kaarel Kruus on 03/05/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class Member, Remark, Session;

@interface Participation : NSManagedObject

@property (nonatomic, retain) NSDate * endDate;
@property (nonatomic, retain) NSDate * startDate;
@property (nonatomic, retain) Member *member;
@property (nonatomic, retain) NSSet *remarks;
@property (nonatomic, retain) Session *session;
@end

@interface Participation (CoreDataGeneratedAccessors)

- (void)addRemarksObject:(Remark *)value;
- (void)removeRemarksObject:(Remark *)value;
- (void)addRemarks:(NSSet *)values;
- (void)removeRemarks:(NSSet *)values;

@end
