//
//  Room.h
//  Partiture
//
//  Created by Kaarel Kruus on 03/05/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class Bundle, Membership, Session;

@interface Room : NSManagedObject

@property (nonatomic, retain) NSString * name;
@property (nonatomic, retain) NSString * passkey;
@property (nonatomic, retain) NSString * uuid;
@property (nonatomic, retain) Bundle *bundle;
@property (nonatomic, retain) NSSet *members;
@property (nonatomic, retain) NSSet *sessions;
@end

@interface Room (CoreDataGeneratedAccessors)

- (void)addMembersObject:(Membership *)value;
- (void)removeMembersObject:(Membership *)value;
- (void)addMembers:(NSSet *)values;
- (void)removeMembers:(NSSet *)values;

- (void)addSessionsObject:(Session *)value;
- (void)removeSessionsObject:(Session *)value;
- (void)addSessions:(NSSet *)values;
- (void)removeSessions:(NSSet *)values;

@end
