//
//  Layer+Additions.m
//  Partiture
//
//  Created by Kaarel Kruus on 04/05/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import "Layer+Additions.h"
#import "PRTAppDelegate.h"

@implementation Layer (Additions)

+ (Layer *)layer:(BOOL)isPublic {
    
    Layer *newLayer = [NSEntityDescription insertNewObjectForEntityForName:NSStringFromClass(self.class)
                                                    inManagedObjectContext:[APPDELEGATE managedObjectContext]];
    newLayer.uuid = [PRTUtils generateUUID];
    newLayer.name = @"LAYER NAME"; // TODO: for what?
    newLayer.isPublic = isPublic;
    
    [APPDELEGATE saveContext];
    
    PRT_DB_CREATE_INSTANCE_LOG(NSStringFromClass(self.class), nil);
    
    return newLayer;
}

+ (Layer *)publicLayer {
    return [self layer:YES];
}

+ (Layer *)privateLayer {
    return [self layer:NO];
}

@end
