//
//  Lyricist.h
//  Partiture
//
//  Created by Kaarel Kruus on 03/05/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class Score;

@interface Lyricist : NSManagedObject

@property (nonatomic, retain) NSString * name;
@property (nonatomic, retain) NSSet *lyricistOf;
@end

@interface Lyricist (CoreDataGeneratedAccessors)

- (void)addLyricistOfObject:(Score *)value;
- (void)removeLyricistOfObject:(Score *)value;
- (void)addLyricistOf:(NSSet *)values;
- (void)removeLyricistOf:(NSSet *)values;

@end
