//
//  PRTCOMListener.h
//  Partiture
//
//  Created by Kaarel Kruus on 17/03/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "PRTCommunicator.h"
#import "PRTCommunication.h"

extern NSString *PRTCOMListenerRoomSessionsUpdateNotification;

@interface PRTCOMListener : PRTCommunicator

@end

@interface PRTCOMListener (External)

- (void)startDiscoveringRoomSessionsWithUserToken:(NSString *)userToken;

- (void)stopDiscoveringRoomSessions;







- (void)pushRoomJoinRequest:(PRTRoomJoinRequestInfo *)requestInfo inRoom:(PRTRoomInfo *)roomInfo;

- (NSArray *)visibleRooms;

@end
