//
//  PRTCommunicationManager.h
//  Partiture
//
//  Created by Kaarel Kruus on 16/03/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "PRTCOMListener.h"
#import "PRTCOMPublisher.h"

#define COM_PUBLISHER ([[PRTCommunicationManager sharedManager] publisher])
#define COM_LISTENER ([[PRTCommunicationManager sharedManager] listener])

@interface PRTCommunicationManager : NSObject

@property (nonatomic, strong, readonly) PRTCOMPublisher *publisher;
@property (nonatomic, strong, readonly) PRTCOMListener *listener;

+ (id)sharedManager;

@end
