//
//  PRTRoomDetailViewController.h
//  Partiture
//
//  Created by Kaarel Kruus on 16/03/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import "PRTViewController.h"
#import "Bundle+Additions.h"
#import "Room+Additions.h"
#import "PRTBaseTextField.h"

typedef void (^PRTRoomDetailViewControllerDismissBlock)(void);

@interface PRTRoomDetailViewController : PRTViewController

@property (nonatomic, weak) IBOutlet PRTBaseTextField *roomNameTextField;
@property (nonatomic, weak) IBOutlet PRTBaseTextField *passkeyTextField;

@property (nonatomic, strong) Bundle *bundle;

@property (nonatomic, copy) PRTRoomDetailViewControllerDismissBlock dismissBlock;

- (IBAction)onSave:(id)sender;

@end
