//
//  PRTRoomJoinRequestInfo.h
//  Partiture
//
//  Created by Kaarel Kruus on 09/04/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "PRTBaseInfo.h"

typedef void (^PRTCOMRoomJoinResponseBlock)(BOOL joined); // TODO: more states (i.e. timeout, accepted, rejeceted)

@interface PRTRoomJoinRequestInfo : PRTBaseInfo

@property (nonatomic, strong, readonly) NSString *userToken;
@property (nonatomic, strong, readonly) NSString *userName;
@property (nonatomic, strong, readonly) NSString *passkey; // TODO: hash instead?

@property (nonatomic, copy, readonly) PRTCOMRoomJoinResponseBlock responseBlock;

+ (PRTRoomJoinRequestInfo *)infoWithUserToken:(NSString *)userToken andName:(NSString *)userName andPasskey:(NSString *)passkey responseBlock:(PRTCOMRoomJoinResponseBlock)responseBlock;

@end
