//
//  PRTWorkspaceViewController.h
//  Partiture
//
//  Created by Kaarel Kruus on 11/02/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "ReaderViewController.h"
#import <MultipeerConnectivity/MultipeerConnectivity.h>

@interface PRTWorkspaceViewController : ReaderViewController

@end

@interface PRTAdvertiserController : PRTWorkspaceViewController <MCNearbyServiceAdvertiserDelegate, MCSessionDelegate>

@property (nonatomic, strong) MCNearbyServiceAdvertiser *serviceAdvertiser;
@property (nonatomic, strong) NSMutableArray *sessions;
@property (nonatomic, strong) MCPeerID *peerID;

@property (nonatomic, strong) NSMutableArray *connectedPeers;
@property (nonatomic, strong) NSMutableArray *notConnectedPeers;
@property (nonatomic, strong) NSMutableArray *connectingPeers;

@end

@interface PRTBrowserController : PRTWorkspaceViewController <MCNearbyServiceBrowserDelegate, MCSessionDelegate>

@property (nonatomic, strong) MCNearbyServiceBrowser *serviceBrowser;
@property (nonatomic, strong) MCSession *session;
@property (nonatomic, strong) NSMutableArray *availablePeers;

@end
