//
//  Room+Additions.h
//  Partiture
//
//  Created by Kaarel Kruus on 16/03/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Room.h"
#import "Bundle+Additions.h"
#import "Membership.h"
#import "Member.h"

@interface Room (Additions)

+ (Room *)roomWithName:(NSString *)name andPasskey:(NSString *)passkey forBundle:(Bundle *)bundle; // as owner
+ (Room *)roomWithName:(NSString *)name uuid:(NSString *)uuid andPasskey:(NSString *)passkey forBundle:(Bundle *)bundle; // as guest

- (Membership *)fetchMemberShipOfMember:(Member *)member;

@end
