//
//  Score+Additions.h
//  Partiture
//
//  Created by Kaarel Kruus on 16/02/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Score.h"
#import "Composer.h"
#import "Lyricist.h"
#import "Layer.h"

@interface Score (Additions)

- (NSString *)composerString;
- (NSString *)lyricistString;

+ (Score *)unassociatedObject;

+ (Score *)ensureManagedScoreWithScore:(Score *)score;

- (Layer *)publicLayer;

+ (Score *)fetchScoreWithToken:(NSString *)token;

@end
