//
//  User.h
//  Partiture
//
//  Created by Kaarel Kruus on 24/05/14.
//  Copyright (c) 2014 Kaarel Kruus. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class Bundle;

@interface User : NSManagedObject

@property (nonatomic, retain) NSString * email;
@property (nonatomic, retain) NSString * name;
@property (nonatomic, retain) NSString * password;
@property (nonatomic, retain) NSString * token;
@property (nonatomic, assign) BOOL isActive;
@property (nonatomic, retain) NSSet *bundles;
@end

@interface User (CoreDataGeneratedAccessors)

- (void)addBundlesObject:(Bundle *)value;
- (void)removeBundlesObject:(Bundle *)value;
- (void)addBundles:(NSSet *)values;
- (void)removeBundles:(NSSet *)values;

@end
